CairoFilter
CairoHintStyle
Cairo
PHP Manual

# The CairoHintMetrics class

(No version information available, might only be in Git)

## Introduction

Specifies whether to hint font metrics; hinting font metrics means quantizing them so that they are integer values in device space. Doing this improves the consistency of letter and line spacing, however it also means that text will be laid out differently at different zoom factors.

## Class synopsis

CairoHintMetrics {
/* Constants */
const integer METRICS_DEFAULT = 0 ;
const integer METRICS_OFF = 1 ;
const integer METRICS_ON = 2 ;
}

## Predefined Constants

`CairoHintMetrics::METRICS_DEFAULT`

  Hint metrics in the default manner for the font backend and target device

`CairoHintMetrics::METRICS_OFF`

  Do not hint font metrics

`CairoHintMetrics::METRICS_ON`

  Hint font metrics

CairoFilter
CairoHintStyle
Cairo
PHP Manual